package cn.com.ty.lift.business.maintenance.controller;

import cn.com.ty.lift.business.maintenance.dao.entity.model.request.PropertyMaintenanceVO;
import cn.com.ty.lift.business.maintenance.dao.entity.model.response.PropertyMtResponse;
import cn.com.ty.lift.business.maintenance.service.PropertyMaintenanceService;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@AllArgsConstructor
@RequestMapping("property")
public class PropertyMaintenanceController {
    private final PropertyMaintenanceService propertyMaintenanceService;

    @PostMapping("maintenance")
    public RestResponse<?> maintenance(@RequestBody PropertyMaintenanceVO propertyMaintenanceVO) {
        IPage<PropertyMtResponse> propertyMtResponsePage = new Page<>(propertyMaintenanceVO.getPageNum(), propertyMaintenanceVO.getPageSize());
        return RestResponse.success(propertyMaintenanceService.propertyMtResponsePage(propertyMtResponsePage, propertyMaintenanceVO));
    }

    @PostMapping("maintenance/num/month")
    public RestResponse<?> maintenanceNumForMonth(@RequestBody PropertyMaintenanceVO propertyMaintenanceVO) {
        return propertyMaintenanceService.queryMaintenancePlanMonth(propertyMaintenanceVO);
    }
}
